Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.impl.model
Class OWLDataPropertyImpl

    java.lang.Object
      |
      +--org.semanticweb.owl.impl.model.OWLObjectImpl
            |
            +--org.semanticweb.owl.impl.model.OWLNamedObjectImpl
                  |
                  +--org.semanticweb.owl.impl.model.OWLEntityImpl
                        |
                        +--org.semanticweb.owl.impl.model.OWLPropertyImpl
                              |
                              +--org.semanticweb.owl.impl.model.OWLDataPropertyImpl

All Implemented Interfaces:
  Cloneable, OWLDataProperty, OWLDeprecatableObject, org.semanticweb.owl.impl.model.OWLDeprecatableObjectImpl, OWLEntity, OWLNamedObject, OWLObject, OWLOntologyObject, OWLProperty, Serializable

public class OWLDataPropertyImpl
extends OWLPropertyImpl
implements OWLDataProperty

An `OWLProperty` whose range is some concrete data type.

Version:
  $Id $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.semanticweb.owl.impl.model.OWLPropertyImpl
`ranges`

Fields inherited from class org.semanticweb.owl.impl.model.OWLNamedObjectImpl
`uri`

Constructor Summary
`OWLDataPropertyImpl(OWLDataFactoryImpl factory, URI uri)`

Method Summary
`void` | `accept(OWLEntityVisitor visitor)` Accept a visit from a visitor
`void` | `accept(OWLObjectVisitor visitor)` Accept a visit from a visitor

Methods inherited from class org.semanticweb.owl.impl.model.OWLPropertyImpl
`getDomains, getDomains, getDomains, getRanges, getRanges, getRanges, getSuperProperties, getSuperProperties, getSuperProperties, isDeprecated, isFunctional, isFunctional, isFunctional, setDeprecated`

Methods inherited from class org.semanticweb.owl.impl.model.OWLEntityImpl
`addOntology, getOntologies, removeOntology`

Methods inherited from class org.semanticweb.owl.impl.model.OWLNamedObjectImpl
`getURI`

Methods inherited from class org.semanticweb.owl.impl.model.OWLObjectImpl
`clone, getAnnotations, getAnnotations, getContainedObjects, getMetadata, getOWLConnection, getOWLDataFactory`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.semanticweb.owl.model.OWLProperty
`getDomains, getDomains, getRanges, getRanges, getSuperProperties, getSuperProperties, isFunctional, isFunctional`

Methods inherited from interface org.semanticweb.owl.model.OWLNamedObject
`getURI`

Methods inherited from interface org.semanticweb.owl.model.OWLObject
`clone, getAnnotations, getAnnotations, getContainedObjects, getMetadata, getOWLConnection, getOWLDataFactory`

Methods inherited from interface org.semanticweb.owl.model.OWLOntologyObject
`getOntologies`

Methods inherited from interface org.semanticweb.owl.model.OWLDeprecatableObject
`isDeprecated`

Constructor Detail

### OWLDataPropertyImpl

    public OWLDataPropertyImpl(OWLDataFactoryImpl factory,
                               URI uri)

Method Detail

### accept

    public void accept(OWLObjectVisitor visitor)
                throws OWLException

  Description copied from interface: `OWLObject`
  Accept a visit from a visitor

  Specified by:
    `accept` in interface `OWLObject`
  Specified by:
    `accept` in class `OWLObjectImpl`
    `OWLException`

### accept

    public void accept(OWLEntityVisitor visitor)
                throws OWLException

  Description copied from interface: `OWLEntity`
  Accept a visit from a visitor

  Specified by:
    `accept` in interface `OWLEntity`
    `OWLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb